---
updatedAt: 2026-05-13T17:17:49.000Z
agentTools:
  projectIndex: https://docs.prahsys.com/llms.txt
---

# Get Lead Event

Get a lead event by ID

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "Merchant API",
    "version": "1.198.0",
    "description": "The Prahsys Merchant API provides a comprehensive suite of endpoints for managing merchants, processing payments, and accessing transaction data. This RESTful API supports multi-tenant architecture with organization-based access control and separate Live/Sandbox environments for testing.",
    "contact": {
      "name": "Prahsys API Support",
      "email": "support@prahsys.com",
      "url": "https://docs.prahsys.com"
    },
    "license": {
      "name": "Proprietary",
      "url": "https://docs.prahsys.com/page/toc#/"
    },
    "termsOfService": "https://docs.prahsys.com/page/toc#/"
  },
  "servers": [
    {
      "url": "https://api.prahsys.com/merchant",
      "description": "Production Server - Live environment for production transactions"
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/n1/leads/events/{leadEventId}": {
      "get": {
        "tags": [
          "Lead Events"
        ],
        "operationId": "getLeadEvent",
        "summary": "Get Lead Event",
        "description": "Get a lead event by ID",
        "parameters": [
          {
            "in": "path",
            "name": "leadEventId",
            "description": "Lead event ID",
            "schema": {
              "type": "string",
              "minLength": 1,
              "description": "Lead event ID"
            },
            "required": true
          }
        ],
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "const": true
                    },
                    "message": {
                      "type": "string"
                    },
                    "data": {
                      "$ref": "#/components/schemas/N1_LeadEvent"
                    }
                  },
                  "required": [
                    "success",
                    "data"
                  ],
                  "title": "Get Lead Event Response",
                  "description": "JSON response for getting a lead event"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/UnauthorizedResponseBody"
                }
              }
            }
          },
          "404": {
            "description": "Not Found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/NotFoundResponseBody"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ServerExceptionResponseBody"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "API Key",
        "description": "API Key authentication using Bearer token scheme. Include your API key in the Authorization header with the format: `Authorization: Bearer {your_api_key}`. You can obtain your API key from your Prahsys Dashboard under Developer > API Keys. Ensure you keep your API key secure and never expose it in client-side code or public repositories. API keys have different permissions based on your organization role and can be scoped to specific environments (Live/Sandbox)."
      }
    },
    "schemas": {
      "ErrorResponseBody": {
        "type": "object",
        "properties": {
          "success": {
            "type": "boolean",
            "const": false
          },
          "message": {
            "type": "string"
          },
          "errors": {
            "type": "object",
            "additionalProperties": {
              "type": "array",
              "items": {
                "type": "string"
              }
            }
          },
          "data": {}
        },
        "required": [
          "success",
          "message"
        ],
        "title": "Bad Request",
        "description": "Bad request response",
        "example": {
          "success": false,
          "message": "Some error message that will bring clarity to the user.",
          "errors": {
            "field.property": [
              "field.property is required"
            ],
            "field.property2": [
              "field.property2 must be a string"
            ]
          }
        }
      },
      "UnauthorizedResponseBody": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ErrorResponseBody"
          }
        ],
        "title": "Unauthorized",
        "description": "Unauthorized response",
        "example": {
          "success": false,
          "message": "Unauthorized"
        }
      },
      "NotFoundResponseBody": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ErrorResponseBody"
          }
        ],
        "title": "Not Found",
        "description": "Not found response",
        "example": {
          "success": false,
          "message": "Resource not found"
        }
      },
      "ServerExceptionResponseBody": {
        "allOf": [
          {
            "$ref": "#/components/schemas/ErrorResponseBody"
          }
        ],
        "title": "Server Exception",
        "description": "Server exception response",
        "example": {
          "success": false,
          "message": "Internal server error"
        }
      },
      "N1_LeadEvent": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique identifier for the event"
          },
          "name": {
            "type": "string",
            "description": "Event name"
          },
          "startDate": {
            "type": "string",
            "description": "Event start date"
          },
          "endDate": {
            "type": [
              "string",
              "null"
            ],
            "description": "Event end date"
          },
          "channelPartnerId": {
            "type": "string",
            "description": "Owning channel partner ID"
          },
          "archivedAt": {
            "type": [
              "string",
              "null"
            ],
            "description": "Soft-delete timestamp"
          },
          "createdAt": {
            "type": "string",
            "description": "Record creation timestamp"
          },
          "updatedAt": {
            "type": [
              "string",
              "null"
            ],
            "description": "Last update timestamp"
          }
        },
        "required": [
          "id",
          "name",
          "startDate",
          "endDate",
          "channelPartnerId",
          "archivedAt",
          "createdAt",
          "updatedAt"
        ],
        "title": "Lead Event",
        "description": "A channel-partner-scoped event that lead businesses can be enrolled in"
      }
    }
  }
}
```